<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
	<key>apps</key>
	<dict>
		<key>com.apple.TextEdit</key>
		<dict>
			<key>Name</key>
			<string>TextEdit</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Built-In</key>
					<true/>
					<key>Command</key>
					<string>open</string>
					<key>CommandPath</key>
					<string>/usr/bin/open</string>
					<key>Arguments</key>
					<array>
						<string>-e</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.apple.dt.Xcode</key>
		<dict>
			<key>Name</key>
			<string>Xcode</string>
			<key>ProductPage</key>
			<string>https://developer.apple.com/xcode/</string>
			<key>DownloadPage</key>
			<string>https://apps.apple.com/app/xcode/id497799835</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>xed </string>
					<key>CommandPath</key>
					<string>/usr/bin/xed</string>
					<key>CheckQuery</key>
					<string>-v</string>
					<key>CheckReplyPattern</key>
					<string>^xed\s+version\s+(\d+(?:\.\d+)+)\s*$</string>
					<key>Arguments</key>
					<array>
						<string>-l</string>
						<string>{line}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.microsoft.VSCode</key>
		<dict>
			<key>Name</key>
			<string>VSCode</string>
			<key>ProductPage</key>
			<string>https://code.visualstudio.com</string>
			<key>DownloadPage</key>
			<string>https://code.visualstudio.com/Download</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>code</string>
					<key>CheckQuery</key>
					<string>-v</string>
					<key>CheckReplyPattern</key>
					<string>^(\d+\.\d+\.\d+).*$</string>
					<key>ColumnOffset</key>
					<integer>1</integer>
					<key>Arguments</key>
					<array>
						<string>-g</string>
						<string>{file}:{line}:{column}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.todesktop.230313mzl4w4u92</key>
		<dict>
			<key>Name</key>
			<string>Cursor</string>
			<key>ProductPage</key>
			<string>https://www.cursor.com</string>
			<key>DownloadPage</key>
			<string>https://www.cursor.com</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>cursor</string>
					<key>CheckQuery</key>
					<string>-v</string>
					<key>CheckReplyPattern</key>
					<string>^(\d+\.\d+\.\d+).*$</string>
					<key>ColumnOffset</key>
					<integer>1</integer>
					<key>Arguments</key>
					<array>
						<string>-g</string>
						<string>{file}:{line}:{column}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>de.codingmonkeys.SubEthaEdit.MacFULL</key>
		<dict>
			<key>Group</key>
			<string>SubEthaEdit</string>
			<key>Name</key>
			<string>SubEthaEdit</string>
			<key>ProductPage</key>
			<string>https://subethaedit.net</string>
			<key>DownloadPage</key>
			<string>https://subethaedit.net</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>see</string>
					<key>CheckQuery</key>
					<string>-v</string>
					<key>CheckReplyPattern</key>
					<string>^see\s+(\d+\.\d+\.\d+)\s*\((\d+)\).*$</string>
					<key>Arguments</key>
					<array>
						<string>-g</string>
						<string>{line}:{column},{length}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>de.codingmonkeys.SubEthaEdit.Mac</key>
		<dict>
			<key>Group</key>
			<string>SubEthaEdit</string>
			<key>Name</key>
			<string>SubEthaEdit (App Store)</string>
			<key>ProductPage</key>
			<string>https://subethaedit.net</string>
			<key>DownloadPage</key>
			<string>https://subethaedit.net</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>see</string>
					<key>CheckQuery</key>
					<string>-v</string>
					<key>CheckReplyPattern</key>
					<string>^see\s+(\d+\.\d+\.\d+)\s*\((\d+)\).*$</string>
					<key>Arguments</key>
					<array>
						<string>-g</string>
						<string>{line}:{column},{length}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.coteditor.CotEditor</key>
		<dict>
			<key>Name</key>
			<string>CotEditor</string>
			<key>ProductPage</key>
			<string>https://coteditor.com</string>
			<key>DownloadPage</key>
			<string>https://apps.apple.com/app/coteditor/id1024640650</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>MinVersion</key>
					<string>5.0</string>
					<key>Command</key>
					<string>cot</string>
					<key>CheckQuery</key>
					<string>-v</string>
					<key>CheckReplyPattern</key>
					<string>^(\d+\.\d+\.\d+).*$</string>
					<key>Arguments</key>
					<array>
						<string>-l</string>
						<string>{line}</string>
						<string>-c</string>
						<string>{column}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.panic.Nova</key>
		<dict>
			<key>Name</key>
			<string>Nova</string>
			<key>ProductPage</key>
			<string>https://nova.app</string>
			<key>DownloadPage</key>
			<string>https://nova.app</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>MinVersion</key>
					<string>8</string>
					<key>Command</key>
					<string>nova</string>
					<key>CheckQuery</key>
					<string>--version</string>
					<key>CheckReplyPattern</key>
					<string>^\D*([1-9]\d{0,1})(?:\.[0-9]*)*.*$</string>
					<key>Arguments</key>
					<array>
						<string>open</string>
						<string>--line</string>
						<string>{line}:{column_start}-{line}:{column_end}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.barebones.BBEdit</key>
		<dict>
			<key>Name</key>
			<string>BBEdit</string>
			<key>ProductPage</key>
			<string>https://www.barebones.com/products/bbedit/</string>
			<key>DownloadPage</key>
			<string>https://www.barebones.com/products/bbedit/</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>bbedit</string>
					<key>CheckQuery</key>
					<string>-v</string>
					<key>CheckReplyPattern</key>
					<string>^BBEdit tool version\s+(\d+(?:\.\d+)+)\s*\(v\d+\).*</string>
					<key>ColumnOffset</key>
					<integer>1</integer>
					<key>Arguments</key>
					<array>
						<string>+{line}:{column}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.sublimetext.4</key>
		<dict>
			<key>Name</key>
			<string>Sublime Text</string>
			<key>ProductPage</key>
			<string>https://www.sublimetext.com</string>
			<key>DownloadPage</key>
			<string>https://www.sublimetext.com</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>MinVersion</key>
					<string>4000</string>
					<key>Command</key>
					<string>subl</string>
					<key>CheckQuery</key>
					<string>-v</string>
					<key>CheckReplyPattern</key>
					<string>^Sublime\s+Text\s+Build\s+([4-9]\d*)\s*$</string>
					<key>ColumnOffset</key>
					<integer>1</integer>
					<key>Arguments</key>
					<array>
						<string>{file}:{line}:{column}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>dev.zed.Zed</key>
		<dict>
			<key>Group</key>
			<string>Zed</string>
			<key>Name</key>
			<string>Zed</string>
			<key>ProductPage</key>
			<string>https://zed.dev</string>
			<key>DownloadPage</key>
			<string>https://zed.dev</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>zed</string>
					<key>CheckQuery</key>
					<string>-v</string>
					<key>CheckReplyPattern</key>
					<string>^Zed\s+(\d+(?:.\d+)+).*Zed.app$</string>
					<key>ColumnOffset</key>
					<integer>1</integer>
					<key>Arguments</key>
					<array>
						<string>{file}:{line}:{column}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>dev.zed.Zed-Preview</key>
		<dict>
			<key>Group</key>
			<string>Zed</string>
			<key>Name</key>
			<string>Zed Preview</string>
			<key>ProductPage</key>
			<string>https://zed.dev</string>
			<key>DownloadPage</key>
			<string>https://zed.dev/releases/preview</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>zed</string>
					<key>CheckQuery</key>
					<string>-v</string>
					<key>CheckReplyPattern</key>
					<string>^Zed\s+(\d+(?:.\d+)+).*Zed\ Preview.app$</string>
					<key>ColumnOffset</key>
					<integer>1</integer>
					<key>Arguments</key>
					<array>
						<string>{file}:{line}:{column}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.macromates.TextMate</key>
		<dict>
			<key>Name</key>
			<string>TextMate</string>
			<key>ProductPage</key>
			<string>https://macromates.com</string>
			<key>DownloadPage</key>
			<string>https://macromates.com</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>MinVersion</key>
					<string>2</string>
					<key>Command</key>
					<string>mate</string>
					<key>CheckQuery</key>
					<string>-v</string>
					<key>CheckReplyPattern</key>
					<string>^mate\s(2).*$</string>
					<key>Arguments</key>
					<array>
						<string>--line</string>
						<string>{line}:{column_start}-{line}:{column_end}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.jetbrains.pycharm</key>
		<dict>
			<key>Group</key>
			<string>JetBrains</string>
			<key>Name</key>
			<string>PyCharm</string>
			<key>ProductPage</key>
			<string>https://www.jetbrains.com/pycharm/</string>
			<key>DownloadPage</key>
			<string>https://www.jetbrains.com/pycharm/download/?section=mac</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>pycharm</string>
					<key>SkipCheck</key>
					<true/>
					<key>ColumnOffset</key>
					<integer>0</integer>
					<key>Arguments</key>
					<array>
						<string>--line</string>
						<string>{line}</string>
						<string>--column</string>
						<string>{column}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.jetbrains.webstorm</key>
		<dict>
			<key>Group</key>
			<string>JetBrains</string>
			<key>Name</key>
			<string>WebStorm</string>
			<key>ProductPage</key>
			<string>https://www.jetbrains.com/webstorm/</string>
			<key>DownloadPage</key>
			<string>https://www.jetbrains.com/webstorm/</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>webstorm</string>
					<key>SkipCheck</key>
					<true/>
					<key>ColumnOffset</key>
					<integer>0</integer>
					<key>Arguments</key>
					<array>
						<string>--line</string>
						<string>{line}</string>
						<string>--column</string>
						<string>{column}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.jetbrains.phpstorm</key>
		<dict>
			<key>Group</key>
			<string>JetBrains</string>
			<key>Name</key>
			<string>PhpStorm</string>
			<key>ProductPage</key>
			<string>https://www.jetbrains.com/phpstorm/</string>
			<key>DownloadPage</key>
			<string>https://www.jetbrains.com/phpstorm/</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>phpstorm</string>
					<key>SkipCheck</key>
					<true/>
					<key>ColumnOffset</key>
					<integer>0</integer>
					<key>Arguments</key>
					<array>
						<string>--line</string>
						<string>{line}</string>
						<string>--column</string>
						<string>{column}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.jetbrains.intellij.ce</key>
		<dict>
			<key>Group</key>
			<string>JetBrains</string>
			<key>Name</key>
			<string>IntelliJ IDEA CE</string>
			<key>ProductPage</key>
			<string>https://www.jetbrains.com/idea/</string>
			<key>DownloadPage</key>
			<string>https://www.jetbrains.com/idea/download/?section=mac</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>idea</string>
					<key>SkipCheck</key>
					<true/>
					<key>ColumnOffset</key>
					<integer>0</integer>
					<key>Arguments</key>
					<array>
						<string>--line</string>
						<string>{line}</string>
						<string>--column</string>
						<string>{column}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.jetbrains.intellij</key>
		<dict>
			<key>Group</key>
			<string>JetBrains</string>
			<key>Name</key>
			<string>IntelliJ IDEA</string>
			<key>ProductPage</key>
			<string>https://www.jetbrains.com/idea/</string>
			<key>DownloadPage</key>
			<string>https://www.jetbrains.com/idea/download/?section=mac</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>idea</string>
					<key>SkipCheck</key>
					<true/>
					<key>ColumnOffset</key>
					<integer>0</integer>
					<key>Arguments</key>
					<array>
						<string>--line</string>
						<string>{line}</string>
						<string>--column</string>
						<string>{column}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.jetbrains.pycharm.ce</key>
		<dict>
			<key>Group</key>
			<string>JetBrains</string>
			<key>Name</key>
			<string>PyCharm CE</string>
			<key>ProductPage</key>
			<string>https://www.jetbrains.com/pycharm/</string>
			<key>DownloadPage</key>
			<string>https://www.jetbrains.com/pycharm/download/?section=mac</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>pycharm</string>
					<key>SkipCheck</key>
					<true/>
					<key>ColumnOffset</key>
					<integer>0</integer>
					<key>Arguments</key>
					<array>
						<string>--line</string>
						<string>{line}</string>
						<string>--column</string>
						<string>{column}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.jetbrains.rubymine</key>
		<dict>
			<key>Group</key>
			<string>JetBrains</string>
			<key>Name</key>
			<string>RubyMine</string>
			<key>ProductPage</key>
			<string>https://www.jetbrains.com/ruby/</string>
			<key>DownloadPage</key>
			<string>https://www.jetbrains.com/ruby/download/?section=mac</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>rubymine</string>
					<key>SkipCheck</key>
					<true/>
					<key>ColumnOffset</key>
					<integer>0</integer>
					<key>Arguments</key>
					<array>
						<string>--line</string>
						<string>{line}</string>
						<string>--column</string>
						<string>{column}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.jetbrains.rustrover</key>
		<dict>
			<key>Group</key>
			<string>JetBrains</string>
			<key>Name</key>
			<string>RustRover</string>
			<key>ProductPage</key>
			<string>https://www.jetbrains.com/rust/</string>
			<key>DownloadPage</key>
			<string>https://www.jetbrains.com/rust/download/?section=mac</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>rustrover</string>
					<key>SkipCheck</key>
					<true/>
					<key>ColumnOffset</key>
					<integer>0</integer>
					<key>Arguments</key>
					<array>
						<string>--line</string>
						<string>{line}</string>
						<string>--column</string>
						<string>{column}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.google.android.studio</key>
		<dict>
			<key>Name</key>
			<string>Android Studio</string>
			<key>ProductPage</key>
			<string>https://developer.android.com/studio</string>
			<key>DownloadPage</key>
			<string>https://developer.android.com/studio</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>studio</string>
					<key>SkipCheck</key>
					<true/>
					<key>ColumnOffset</key>
					<integer>0</integer>
					<key>Arguments</key>
					<array>
						<string>--line</string>
						<string>{line}</string>
						<string>--column</string>
						<string>{column}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.jetbrains.goland</key>
		<dict>
			<key>Group</key>
			<string>JetBrains</string>
			<key>Name</key>
			<string>GoLand</string>
			<key>ProductPage</key>
			<string>https://www.jetbrains.com/go/</string>
			<key>DownloadPage</key>
			<string>https://www.jetbrains.com/go/download/?section=mac</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>goland</string>
					<key>SkipCheck</key>
					<true/>
					<key>ColumnOffset</key>
					<integer>0</integer>
					<key>Arguments</key>
					<array>
						<string>--line</string>
						<string>{line}</string>
						<string>--column</string>
						<string>{column}</string>
						<string>{file}</string>
					</array>
				</dict>
			</array>
		</dict>
		<key>com.jetbrains.fleet</key>
		<dict>
			<key>Group</key>
			<string>JetBrains</string>
			<key>Name</key>
			<string>Fleet</string>
			<key>ProductPage</key>
			<string>https://www.jetbrains.com/fleet/</string>
			<key>DownloadPage</key>
			<string>https://www.jetbrains.com/fleet/download/?section=mac</string>
			<key>Integrations</key>
			<array>
				<dict>
					<key>Command</key>
					<string>fleet</string>
					<key>SkipCheck</key>
					<true/>
					<key>ColumnOffset</key>
					<integer>1</integer>
					<key>Arguments</key>
					<array>
						<string>--</string>
						<string>--goto={file}:{line}:{column}</string>
					</array>
				</dict>
			</array>
		</dict>
	</dict>
</dict>
</plist>
